com.hazelcast.nio

## Enum Packet.Type

- java.lang.Object
- - java.lang.Enum<Packet.Type>
  - - com.hazelcast.nio.Packet.Type

- All Implemented Interfaces:
    Serializable, Comparable<Packet.Type>
  Enclosing class:
    Packet

      public static enum Packet.Type
      extends Enum<Packet.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BIND` The type of a Bind Message packet.
    `EVENT` The type of an Event packet.
    `EXTENDED_BIND` The type of Extended Bind packet, since Hazelcast 3.12.
    `JET` The type of a Jet packet.
    `NULL` Represents "missing packet type", consists of all zeros.
    `OPERATION` The type of an Operation packet.
    `UNDEFINED6` Unused packet type.
    `UNDEFINED7` Unused packet type.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `describeFlags(char flags)`
    `static Packet.Type` | `fromFlags(int flags)`
    `static Packet.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Packet.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NULL

          public static final Packet.Type NULL

      Represents "missing packet type", consists of all zeros. A zeroed-out packet header would resolve to this type.

      `ordinal = 0`

    - #### OPERATION

          public static final Packet.Type OPERATION

      The type of an Operation packet.

      `ordinal = 1`

    - #### EVENT

          public static final Packet.Type EVENT

      The type of an Event packet.

      `ordinal = 2`

    - #### JET

          public static final Packet.Type JET

      The type of a Jet packet.

      `ordinal = 3`

    - #### BIND

          public static final Packet.Type BIND

      The type of a Bind Message packet.

      `ordinal = 4`

    - #### EXTENDED_BIND

          public static final Packet.Type EXTENDED_BIND

      The type of Extended Bind packet, since Hazelcast 3.12.

      `ordinal = 5`

    - #### UNDEFINED6

          public static final Packet.Type UNDEFINED6

      Unused packet type. Available for future use.

      `ordinal = 6`

    - #### UNDEFINED7

          public static final Packet.Type UNDEFINED7

      Unused packet type. Available for future use.

      `ordinal = 7`

  - ### Method Detail

    - #### values

          public static Packet.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Packet.Type c : Packet.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Packet.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromFlags

          public static Packet.Type fromFlags(int flags)

    - #### describeFlags

          public String describeFlags(char flags)

Copyright © 2019. All rights reserved.